{
    "preprocessingFitSampleSeed": 1337, 
    "feature_selection_params": {
        "custom_params": {
            "code": "# type your code here"
        }, 
        "pca_params": {
            "variance_proportion": 0.9, 
            "n_features": 25
        }, 
        "random_forest_params": {
            "depth": 10, 
            "n_features": 25, 
            "n_trees": 30
        }, 
        "lasso_params": {
            "alpha": [
                0.01, 
                0.1, 
                1.0, 
                10.0, 
                100.0
            ], 
            "cross_validate": true
        }, 
        "method": "NONE", 
        "correlation_params": {
            "max_abs_correlation": 1.0, 
            "n_features": 25, 
            "min_abs_correlation": 0.0
        }
    }, 
    "preprocessingFitSampleRatio": 1.0, 
    "reduce": {
        "enabled": false, 
        "kept_variance": 0.0
    }, 
    "skipPreprocessing": false, 
    "target_remapping": [], 
    "per_feature": {
        "Origin": {
            "missing_impute_with": "MODE", 
            "autoReason": "REJECT_CARDINALITY", 
            "hash_whole_categories": true, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Text", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "customProcessorWantsMatrix": false, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "REJECT", 
            "max_cat_safety": 200, 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "dummy_drop": "NONE"
        }, 
        "dep_hour": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "UniqueCarrier": {
            "missing_impute_with": "MODE", 
            "customProcessorWantsMatrix": false, 
            "hash_whole_categories": true, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Text", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 5, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "max_cat_safety": 200, 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "dummy_drop": "DROP"
        }, 
        "FlightNum": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "Late_avg": {
            "generate_derivative": false, 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "sendToInput": "main", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "DoubleMeaning", 
                "autoModifiedByDSS": false
            }, 
            "role": "TARGET", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "dep_woy": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "Distance": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "Dest": {
            "missing_impute_with": "MODE", 
            "autoReason": "REJECT_CARDINALITY", 
            "hash_whole_categories": true, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Text", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 100, 
            "customProcessorWantsMatrix": false, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "REJECT", 
            "max_cat_safety": 200, 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "dummy_drop": "NONE"
        }, 
        "dep_month": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "dep_dow": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "Late": {
            "missing_impute_with": "MODE", 
            "customProcessorWantsMatrix": false, 
            "hash_whole_categories": true, 
            "nb_bins_hashing": 1048576, 
            "customHandlingCode": "", 
            "category_handling": "DUMMIFY", 
            "cumulative_proportion": 0.95, 
            "sendToInput": "main", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "Boolean", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "NONE", 
            "max_nb_categories": 5, 
            "dummy_clip": "MAX_NB_CATEGORIES", 
            "role": "INPUT", 
            "max_cat_safety": 200, 
            "min_samples": 10, 
            "type": "CATEGORY", 
            "dummy_drop": "DROP"
        }, 
        "AirTime": {
            "generate_derivative": false, 
            "sendToInput": "main", 
            "rescaling": "AVGSTD", 
            "role": "INPUT", 
            "customHandlingCode": "", 
            "customProcessorWantsMatrix": false, 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "userModified": false, 
                "recordedMeaning": "LongMeaning", 
                "autoModifiedByDSS": false
            }, 
            "missing_handling": "IMPUTE", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4, 
            "missing_impute_with": "MEAN", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }
    }, 
    "feature_generation": {
        "manual_interactions": {
            "interactions": []
        }, 
        "pairwise_linear": {
            "behavior": "DISABLED"
        }, 
        "categoricals_count_transformer": {
            "input_features": [], 
            "all_features": false, 
            "behavior": "DISABLED"
        }, 
        "polynomial_combinations": {
            "behavior": "DISABLED"
        }, 
        "numericals_clustering": {
            "k": 0, 
            "input_features": [], 
            "all_features": false, 
            "behavior": "DISABLED"
        }
    }
}